commit:     bf408fd63c6aa6e9afd0546c4abdfc0990d9e6a2
Author:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 29 00:32:45 2024 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Mon Jul 29 01:19:07 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf408fd6

dev-build/meson: disable CUDA tests

If CUDA is installed, we try to test it and everything fails. The issue
seems to be that CUDA simply cannot handle the use of LDFLAGS. It may be
possible for meson to mangle these for you, but it currently does not.
There's a tracking ticket for it.

It's preferable to test common functionality rather than work around
bugs. Just pretend CUDA doesn't exist as far as src_test is concerned.

Closes: https://bugs.gentoo.org/936757
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 dev-build/meson/meson-1.4.1.ebuild | 10 ++++++++++
 dev-build/meson/meson-1.4.2.ebuild |  4 ++++
 dev-build/meson/meson-1.5.0.ebuild |  4 ++++
 dev-build/meson/meson-9999.ebuild  |  4 ++++
 4 files changed, 22 insertions(+)

diff --git a/dev-build/meson/meson-1.4.1.ebuild 
b/dev-build/meson/meson-1.4.1.ebuild
index d30bc90b1103..db2001929162 100644
--- a/dev-build/meson/meson-1.4.1.ebuild
+++ b/dev-build/meson/meson-1.4.1.ebuild
@@ -82,12 +82,22 @@ python_prepare_all() {
                # ASAN is unsupported on some targets
                # https://bugs.gentoo.org/692822
                -e 's/test_pch_with_address_sanitizer/_&/'
+
+               # clippy-driver fails, but only when run via portage.
+               #
+               #   error[E0463]: can't find crate for `std`
+               #   error: requires `sized` lang_item
+               -e 's/test_rust_clippy/_&/'
        )
 
        sed -i "${disable_unittests[@]}" unittests/*.py || die
 
        # Broken due to python2 script created by python_wrapper_setup
        rm -r "test cases/frameworks/1 boost" || die
+       # nvcc breaks on essentially any LDFLAGS
+       # https://bugs.gentoo.org/936757
+       # https://github.com/mesonbuild/meson/issues/11234
+       rm -r "test cases/cuda"/* || die
 
        distutils-r1_python_prepare_all
 }

diff --git a/dev-build/meson/meson-1.4.2.ebuild 
b/dev-build/meson/meson-1.4.2.ebuild
index 4b7ba1a3634a..c1202d979e1c 100644
--- a/dev-build/meson/meson-1.4.2.ebuild
+++ b/dev-build/meson/meson-1.4.2.ebuild
@@ -94,6 +94,10 @@ python_prepare_all() {
 
        # Broken due to python2 script created by python_wrapper_setup
        rm -r "test cases/frameworks/1 boost" || die
+       # nvcc breaks on essentially any LDFLAGS
+       # https://bugs.gentoo.org/936757
+       # https://github.com/mesonbuild/meson/issues/11234
+       rm -r "test cases/cuda"/* || die
 
        # The 1.4.2 tarball accidentally contains some untracked files from git 
master:
        # - subprojects/bar-0.1/Cargo.toml

diff --git a/dev-build/meson/meson-1.5.0.ebuild 
b/dev-build/meson/meson-1.5.0.ebuild
index 762876dc5e40..9cddc1a7a32d 100644
--- a/dev-build/meson/meson-1.5.0.ebuild
+++ b/dev-build/meson/meson-1.5.0.ebuild
@@ -94,6 +94,10 @@ python_prepare_all() {
 
        # Broken due to python2 script created by python_wrapper_setup
        rm -r "test cases/frameworks/1 boost" || die
+       # nvcc breaks on essentially any LDFLAGS
+       # https://bugs.gentoo.org/936757
+       # https://github.com/mesonbuild/meson/issues/11234
+       rm -r "test cases/cuda"/* || die
 
        distutils-r1_python_prepare_all
 }

diff --git a/dev-build/meson/meson-9999.ebuild 
b/dev-build/meson/meson-9999.ebuild
index 762876dc5e40..9cddc1a7a32d 100644
--- a/dev-build/meson/meson-9999.ebuild
+++ b/dev-build/meson/meson-9999.ebuild
@@ -94,6 +94,10 @@ python_prepare_all() {
 
        # Broken due to python2 script created by python_wrapper_setup
        rm -r "test cases/frameworks/1 boost" || die
+       # nvcc breaks on essentially any LDFLAGS
+       # https://bugs.gentoo.org/936757
+       # https://github.com/mesonbuild/meson/issues/11234
+       rm -r "test cases/cuda"/* || die
 
        distutils-r1_python_prepare_all
 }

Reply via email to